> ## Documentation Index
> Fetch the complete documentation index at: https://developer.clopos.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Stock Operations

> Every stock movement: supplies, waste, transfers and the deductions receipts cause.



## OpenAPI

````yaml /api-reference/v2/openapi.json get /stock-operations
openapi: 3.1.0
info:
  title: Clopos Open API v2
  description: >-
    The **Clopos Open API v2** provides secure and unified access to the Clopos
    ecosystem, enabling seamless integration of POS, ordering, payments, and
    restaurant management services.
  contact:
    email: dev@clopos.com
  version: 2.0.0
  license:
    name: ''
servers:
  - url: https://integrations.clopos.com/open-api/v2
    description: '**Base Url**'
security:
  - xToken: []
tags:
  - name: Authentication
  - name: Venues
  - name: Users
  - name: Customers
  - name: Menu
  - name: Stations
  - name: Products
  - name: Price Lists
  - name: Sales
  - name: Orders
  - name: Receipts
  - name: Inventory
  - name: Finance
paths:
  /stock-operations:
    get:
      tags:
        - Inventory
      summary: List Stock Operations
      description: >-
        Every stock movement: supplies, waste, transfers and the deductions
        receipts cause.
      responses:
        '200':
          description: Request completed successfully.
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/StockOperation'
components:
  schemas:
    StockOperation:
      type: object
      properties:
        id:
          type: integer
        venue_id:
          type: integer
        stock_id:
          type: integer
        reserved:
          type: number
        receipt_id:
          type: integer
          nullable: true
        receipt_product_id:
          type: integer
          nullable: true
        product_id:
          type: integer
        modificator_id:
          type: integer
          nullable: true
        operation_id:
          type: integer
          nullable: true
        operation_item_id:
          type: integer
          nullable: true
        parent_id:
          type: integer
          nullable: true
        unit_id:
          type: integer
          nullable: true
        quantity:
          type: number
        before_quantity:
          type: number
        after_quantity:
          type: number
        before:
          type: number
        after:
          type: number
        cost:
          type: number
        before_cost:
          type: number
        total_cost:
          type: number
        operated_at:
          type: string
          format: date-time
  securitySchemes:
    xToken:
      type: apiKey
      in: header
      name: x-token
      description: JWT access token obtained from /v2/auth endpoint

````